Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Interface StandardizerAPI

All Known Implementing Classes:
  SbmeStandardizerAdapter

public interface StandardizerAPI

The interface a standardization engine adapter has to implement to enable communication between the framework and the specific standardization engine.

Method Summary
`void` | `initialize(StandardizerEngineConfiguration config)` Initialize the standardization engine and the adapter called once upon startup for each adapter instance
`void` | `shutdown()` Shutdown and release any resources associated with the standardization engine and the adapter Called once per adapter instance before the adapter is discarded by the framework
`SystemObject` | `standardize(SystemObject objToStandardize, SystemObjectStandardization metaData)` Standardize the passed in SystemObject according to the passed in standardization configuration Care should be taken as the standardization may be performed directly on the passed in SystemObject, this may therefore change the actual object passed in.

Method Detail

### initialize

    public void initialize(StandardizerEngineConfiguration config)
                    throws StandardizationException

  Initialize the standardization engine and the adapter called once upon startup for each adapter instance

  Parameters:
    `config` - the standardization engine configuration configured
  Throws:
    `StandardizationException` - if the initialization failed

### shutdown

    public void shutdown()
                  throws StandardizationException

  Shutdown and release any resources associated with the standardization engine and the adapter Called once per adapter instance before the adapter is discarded by the framework

  Throws:
    `StandardizationException` - if the shutdown failed

### standardize

    public SystemObject standardize(SystemObject objToStandardize,
                                    SystemObjectStandardization metaData)
                             throws StandardizationException,
                                    ObjectException

  Standardize the passed in SystemObject according to the passed in standardization configuration Care should be taken as the standardization may be performed directly on the passed in SystemObject, this may therefore change the actual object passed in.

  Parameters:
    `objToStandardize` - the system object to standardize. Care should be taken as the method may modify this object passed in directly.
    `metaData` - the metaData describing what parts of the systemobject need to be standardized
  Returns:
    The standardized SystemObject. It is allowed to be a reference to the same object (but with modified fields) as was passed into objToStandardize
  Throws:
    `StandardizationException` - if the Standardization failed
    `ObjectException` - if retrieving/setting the configured values failed

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.